System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.ControlBuilder System.Web.UI.ITemplate

To use a custom class for a control, create a custom for the control, and then return the custom control from the method.

Supports the page parser in building a template and the child controls it contains.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Object To be added.

  Used during design time to build the template and its child controls.

  A reference to the instance of the class.

- Method
  System.Void `` `` `` `` `` `` To be added

  Initializes the template builder when a Web request is made.

  The responsible for parsing the control. The responsible for building the control. The assigned to the control that the builder will create. The name of the tag to build. This allows the builder to support multiple tag types. The assigned to the control. The that holds all the specified tag attributes. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method is required when implementing the interface. The method is used only in design time.

  Defines the object that child controls and templates belong to in design time.

  The to contain the instances of controls from the inline template. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean

  The method needs to be called when we are in design time. The method returns the value of the property of the base class.

  Determines if the control builder needs to get its inner text.

  true if the control builder needs to get its inner text. The default is false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The method overrides the base class's method and sets the value of the property.

  Saves the inner text of the template tag.

  The inner text of the template. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The property is used by the designer to specify or determine the text that appears between the opening and closing tags of the template.

  Gets or sets the text between the opening and closing tags of the template.

  1.0.5000.0
  2.0.0.0